package com.singularity.common.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class ChartDataModel implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "图像legend")
    private String legend;

    @ApiModelProperty(value = "图像legendList")
    private List<String> legendList;

    @ApiModelProperty(value = "x轴标签")
    private String xLabel;

    @ApiModelProperty(value = "y轴标签")
    private String yLabel;

    @ApiModelProperty(value = "x轴数据集合")
    private double[] xData;

    @ApiModelProperty(value = "y轴数据集合")
    private double[] yData;

    @ApiModelProperty(value = "多组数据集合")
    private double[][] data;

    @ApiModelProperty(value = "图像备注")
    private String text;

    @ApiModelProperty(value = "x轴数据集合")
    private String[] xData2;

    @ApiModelProperty(value = "y轴数据集合")
    private Double[][] yData2;

    @ApiModelProperty(value = "图像title")
    private String title;

    @ApiModelProperty(value = "载荷")
    private String carLosd;


}
