package com.singularity.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.singularity.pojo.dto.kc.ExperimentConditionDTO;
import com.singularity.pojo.dto.kc.SetExperimentParamDTO;
import com.singularity.pojo.entity.ExperimentInfo;
import com.singularity.pojo.param.kc.ExperimentConditionParam;
import org.apache.ibatis.annotations.Mapper;

/**
 * @author 天
 *
 * @description: 附件应用持久层
 */
@Mapper
public interface ExperimentInfoMapper extends BaseMapper<ExperimentInfo> {


    ExperimentInfo selectItemById(Integer id);

    int insertItem(SetExperimentParamDTO setExperimentParamDTO);

    ExperimentConditionDTO selectExperimentConditionDTO(ExperimentConditionParam experimentConditionParam);
}
