package com.singularity.pojo.bo.kc;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(description = "对比K&C关键指标信息中间参数")
public class CompareKCEvaluationInfoBO {

    @ApiModelProperty(value = "附件")
    private Integer attachId;

    @ApiModelProperty(value = "工况简写")
    private String conditionCode;

    @ApiModelProperty(value = "指标名称")
    private String indicatorName;

    @ApiModelProperty(value = "指标单位")
    private String unit;

    @ApiModelProperty(value = "斜度")
    private String slope;

    @ApiModelProperty(value = "右前")
    private Double rightFront;

    @ApiModelProperty(value = "左前")
    private Double leftFront;

    @ApiModelProperty(value = "front")
    private Double front1;

    @ApiModelProperty(value = "右后")
    private Double rightRear;

    @ApiModelProperty(value = "左后")
    private Double leftRear;

    @ApiModelProperty(value = "rear")
    private Double rear2;


}
