package com.singularity.pojo.bo.nvh;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.InputStream;

@Data
public class NVHUploadFileBO {

    @ApiModelProperty(value = "文件对应表id",dataType = "Integer")
    private Integer ownerId;

    @ApiModelProperty(value = "绘图数据文件io流",dataType = "InputStream")
    private InputStream inputStream;

    @ApiModelProperty(value = "绘图类型 readLineFile readStatFile read3DFile")
    private String drawType;

    @ApiModelProperty(value = "文件名称")
    private String fileName;

    @ApiModelProperty(value = "文件大小")
    private Long fileSize;

    @ApiModelProperty(value = "文件所在目录层级")
    private Integer level;


}
