package com.singularity.pojo.dto.barking;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.List;

@Data
@ApiModel("批量删除衬套试验数据文件")
public class DeleteBarkingDataFileDTO {

    @NotEmpty(message = "文件idList不能为空")
    @ApiModelProperty(value = "文件idList",required = true)
    private List<Long> attachIdList;


}
