package com.singularity.pojo.dto.condition;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel(description = "修改工况信息DTO")
public class ConditionInfoUpdateDTO {

    @NotNull(message = "工况id不能为空")
    @ApiModelProperty(value = "工况id")
    private Integer id;

    @ApiModelProperty(value = "工况名称")
    private String conditionName;

    @ApiModelProperty(value = "工况名称简写")
    private String conditionCode;

    @ApiModelProperty(value = "状态（0：禁用，1:正常）")
    private Integer status;
}
