package com.singularity.pojo.dto.damper;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.constraints.NotNull;

@Data
@ApiModel(description = "上传减震器试验数据文件入参")
public class UploadDamperDataFileDTO {

    @NotNull(message = "请选择您需要上传的附件")
    @ApiModelProperty(value = "衬套试验数据文件，格式为.xlsx .xls .csv",required = true)
    private MultipartFile multipartFile;

    @NotNull(message = "车辆id不能为空")
    @ApiModelProperty(value = "车辆id",required = true)
    private Long carId;

    @NotNull(message = "操作人id不能为空")
    @ApiModelProperty(value = "操作人id",required = true)
    private Integer operId;


}
