package com.singularity.pojo.dto.department;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
public class DepartmentAddDTO {

    @NotNull(message = "部门名称不能为空")
    @ApiModelProperty(value = "部门名称")
    private String deptName;

    @ApiModelProperty(value = "所属id")
    private Integer parentId = 0;

    @ApiModelProperty(value = "状态（0禁用，1启用）")
    private Integer state = 1;


}
