package com.singularity.pojo.dto.experiment;

import com.singularity.pojo.entity.Attachment;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class TestConditionDTO extends Attachment {
    @ApiModelProperty(value = "附件id")
    private Integer attachId;

    @ApiModelProperty(value = "工况id")
    private Integer conditionId;

    @ApiModelProperty(value = "驾驶模式(0-标准)")
    private Integer drivingMode;

    @ApiModelProperty(value = "试验车速")
    private String testSpeed;

    @ApiModelProperty(value = "载荷（0-空载，1-半载，2-满载）")
    private Integer carLoad;

    @ApiModelProperty(value = "单双轴(0-单轴,1-双轴)")
    private Integer axle;

    @ApiModelProperty(value = "前横向稳定杆是否启用（0-否，1-是）")
    private Integer frontBar;

    @ApiModelProperty(value = "后横向稳定杆是否启用（0-否，1-是）")
    private Integer rearBar;

    @ApiModelProperty(value = "引擎是否启用（0-否，1-是）")
    private Integer engine;
}
