package com.singularity.pojo.dto.kc;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.Map;

@Data
@ApiModel(description = "对比K&C关键指标信息入参")
public class CompareKCEvaluationInfoDTO {

    @NotEmpty(message = "对应关系不能为空")
    @ApiModelProperty(value = "附件id与车辆id对应map<附件id，车辆id>")
    private Map<Integer,Integer> map;


}
