package com.singularity.pojo.dto.kc;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@ApiModel(description = "批量查询K&C数据文件列表入参")
public class QueryKCAttachmentListDTO {

    @NotEmpty(message = "车辆idList不能为空")
    @ApiModelProperty(required = true,value = "车辆idList")
    private List<Integer> carIdList;

    @NotNull(message = "工况id不能为空")
    @ApiModelProperty(value = "工况id",required = true)
    private Integer conditionId;


}
