package com.singularity.pojo.dto.kc;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "ReadKCFileDTO",description = "读取KC数据文件入参")
public class ReadKCFileDTO {

    // 从数据库读取对象参数
    @ApiModelProperty(value = "附件id",required = true)
    private Integer attachId;

    @ApiModelProperty(value = "绘图类型",required = true)
    private String drawType;

    //重新画图参数
    @ApiModelProperty(value = "测点id",required = true)
    private Integer measureId;

    @ApiModelProperty(value = "绘图数据文件",required = true)
    private String objName;

    @ApiModelProperty(value = "滤波最小值")
    private String xMinPoly = "";

    @ApiModelProperty(value = "滤波最大值")
    private String xMaxPoly = "";

}
