package com.singularity.pojo.dto.measure;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel(description = "增加测点信息DTO")
public class AddMeasureInfoDTO {

    @NotNull(message = "conditionId不能为空")
    @ApiModelProperty(value = "工况id")
    private Integer conditionId;

    @ApiModelProperty(value = "测点名称")
    private String measureName;

    @ApiModelProperty(value = "测点名称简写")
    private String measureCode;
}
