package com.singularity.pojo.dto.measure;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel(description = "修改测点信息DTO")
public class UpdateMeasureInfoDTO {

    @NotNull(message = "测点id不能为空")
    @ApiModelProperty(value = "测点id")
    private Integer id;

    @ApiModelProperty(value = "状态（0：禁用，1:正常）")
    private Integer status;

    @NotNull(message = "工况id不能为空")
    @ApiModelProperty(value = "工况id")
    private Integer conditionId;

    @ApiModelProperty(value = "测点名称")
    private String measureName;

    @ApiModelProperty(value = "测点名称简写")
    private String measureCode;


}
