package com.singularity.pojo.dto.nvh;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.Map;

@Data
@ApiModel(value = "CompareNVHSubjectiveFileDTO",description = "对比NVH性能主观评价数据文件入参")
public class CompareNVHSubjectiveFileDTO {

    @NotEmpty(message = "对应关系不能为空")
    @ApiModelProperty(value = "附件id与车辆id对应map<附件id，车辆id>")
    private Map<Long,Integer> map;

}
