package com.singularity.pojo.dto.nvh;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.List;

@Data
@ApiModel(value = "QueryNVHDataFileListDTO",description = "批量查询NVH数据文件列表入参")
public class QueryNVHDataFileListDTO {

    @NotEmpty(message = "车辆idList不能为空")
    @ApiModelProperty(required = true,value = "车辆idList")
    private List<Integer> carIdList;

    @ApiModelProperty(value = "业务类型集合")
    private List<Integer> businessIdList;


}
