package com.singularity.pojo.dto.permission;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @author 天
 *
 * @description: 权限信息
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class PermissionInfoDTO{

    private Long id;

    private Long pId;

    private String name;

    private Integer type;

    private String path;

    private Integer status;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createdAt;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updatedAt;

    private List<PermissionInfoDTO> permissions = new ArrayList<>();
}
