package com.singularity.pojo.dto.ride;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.List;

@Data
@ApiModel(value = "CompareTestResultDTO",description = "对比试验结果入参")
public class CompareTestResultDTO {

    @NotEmpty(message = "车辆idList不能为空")
    @ApiModelProperty(value = "车辆idList",dataType = "java.util.List")
    private List<Integer> carIdList;


}
