package com.singularity.pojo.dto.subjectiveEvaluation;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.List;

@Data
@ApiModel(description = "查询评价人列表入参")
public class QueryEvaluatorNameListDTO {

    @NotEmpty(message = "车辆idList不能为空")
    @ApiModelProperty(value = "车辆idList")
    private List<Integer> carIdList;

    @ApiModelProperty(value = "0：商用车行驶性能主观评价，1：乘用车行驶性能主观评价，2：乘用车商品性主观评价，3：货车商品性主观评价" +
            "4：客车商品性主观评价，5：NVH性能主观评价")
    private Integer reviewType;


}
