package com.singularity.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 车辆信息
 * </p>
 *
 * @author ${windsky}
 * @since 2024-04-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("vehicle_information")
@ApiModel(value="VehicleInformation对象", description="车辆信息")
public class VehicleInformation implements Serializable {

    private static final long serialVersionUID = 1L;

      @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "附件id")
    @TableField("attach_id")
    private Integer attachId;

    @ApiModelProperty(value = "汽车id")
    @TableField("car_id")
    private Integer carId;

    @ApiModelProperty(value = "行名")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "数值")
    @TableField("value")
    private String value;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField("update_time")
    private Date updateTime;


}
