package com.singularity.pojo.enumeration;

import lombok.Getter;

/**
 * @author 天
 * @description: 前缀枚举
 */
@Getter
public enum PrefixEnum {

    ORDER("订单编号前缀", "orderNo-"),

    LOCK("锁前缀", "lock-"),

    USER("用户前缀", "carUserId-");


    private String name;

    private String value;

    PrefixEnum(String name, String value) {
        this.name = name;
        this.value = value;
    }
}
