package com.singularity.pojo.param.kc;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.jetbrains.annotations.NotNull;

import java.util.List;


@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(description = "导出excel数据时传递参数")
public class ExportKeyIndexParam {
    @ApiModelProperty(value = "文件id",example = "123",dataType = "Long",required = true)
    @NotNull
    private Long id;

//    @ApiModelProperty(value = "文件前后缀",example = "RF:LongPositionFbk",dataType = "Map",required = true)
//    @NotNull
//    private Map<String,String> map;

    @ApiModelProperty(value = "文件后缀",example = "LongPositionFbk",dataType = "List<String>",required = true)
    @NotNull
    private List<String> name;
}
