package com.singularity.pojo.param.role;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotEmpty;
import java.util.List;


@Data
public class RoleAddParam {

    @ApiModelProperty(value = "角色名称")
    private String name;

    @ApiModelProperty(value = "备注")
    private String description;

    @NotEmpty(message = "角色菜单权限不能为空")
    @ApiModelProperty(value = "菜单权限")
    private List<Integer> menuIdList;

}
