package com.singularity.pojo.param.role;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.singularity.util.page.RequestDTOWithPage;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@Data
public class RoleListSearchParam extends RequestDTOWithPage {

    @ApiModelProperty(value = "角色id")
    private Long id;

    @ApiModelProperty(value = "角色名称")
    private String name;

    @ApiModelProperty(value = "备注")
    private String description;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "开始创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String startCreatedAt;

    @ApiModelProperty(value = "结束创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String endCreatedAt;
}
