package com.singularity.pojo.param.subjectiveEvaluation;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class UpdateSubjectiveEvaluationParam {
    /**
     * id
     */
    @ApiModelProperty(value = "编号",dataType = "Long")
    private Long id;

    /**
     * 车型评分
     */
    @ApiModelProperty(value = "车型评分",dataType = "String")
    private String modelRatings;


    /**
     * 备注
     */
    @ApiModelProperty(value = "备注",dataType = "String")
    private String remark;

    /**
     * 车型评语
     */
    @ApiModelProperty(value = "车型评语",dataType = "String")
    private String modelReviews;

    /**
     * 说明
     */
    @ApiModelProperty(value = "说明",dataType = "String")
    private String illustrate;

}
