package com.singularity.pojo.vo.car;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.HashMap;
import java.util.Map;


@Data
public class CarMessageNumberVO {
    @ApiModelProperty(value = "年份统计")
    private Map<Long, Integer> yearMap = new HashMap<>();

    @ApiModelProperty(value = "级别统计")
    private Map<Integer, Integer> levelMap = new HashMap<>();

    @ApiModelProperty(value = "类别统计")
    private Map<String, Integer> categoryMap = new HashMap<>();

    @ApiModelProperty(value = "国别统计")
    private Map<String, Integer> countryMap = new HashMap<>();

    @ApiModelProperty(value = "能源统计")
    private Map<String, Integer> energyMap = new HashMap<>();
}
