package com.singularity.pojo.vo.condition;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel(description = "工况列表分页查询VO")
public class ConditionInfoListQueryVO {

    @ApiModelProperty(value = "工况id",dataType = "Integer")
    private Integer id;

    @ApiModelProperty(value = "工况名称",dataType = "String")
    private String conditionName;

    @ApiModelProperty(value = "工况名称简写",dataType = "String")
    private String conditionCode;

    @ApiModelProperty(value = "工况状态（0：正常，1：禁用）")
    private Integer status;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;


}
