package com.singularity.pojo.vo.damper;

import com.singularity.pojo.entity.DamperData;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(description = "查询减震器试验数据文件详情出参")
public class QueryDamperDataFileDetailVO {

    @ApiModelProperty(value = "前减振器试验结果")
    private List<DamperData> frontDamperDataList;

    @ApiModelProperty(value = "后减振器试验结果")
    private List<DamperData> rearDamperDataList;


}
