package com.singularity.pojo.vo.hading;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel(description = "图像数据")
public  class QueryHandingChartDataSon implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "绘图数据 x=data[0],y=data[1] 每组曲线下标依次增加")
    private double[][] data;

    @ApiModelProperty(value = "x轴标签")
    private String xLabel;

    @ApiModelProperty(value = "y轴标签")
    private String yLabel;

    @ApiModelProperty(value = "图像标题")
    private String title;

}
