package com.singularity.pojo.vo.kc;


import com.singularity.pojo.entity.MeasureInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(description = "查看K&C工况测信息出参")
public class QueryKCConditionInfoVO {

    @ApiModelProperty(value = "工况id",dataType = "Integer")
    private Integer id;

    @ApiModelProperty(value = "工况名称",dataType = "String")
    private String conditionName;

    @ApiModelProperty(value = "工况名称简写",dataType = "String")
    private String conditionCode;

    @ApiModelProperty(value = "测点列表",dataType = "List")
    private List<MeasureInfo> measureInfoList;


}
