package com.singularity.pojo.vo.kc;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "QueryKCEvaluationInfoVo",description = "获取K&C关键指标信息出参")
public class QueryKCEvaluationInfoVO {
    @ApiModelProperty(value = "主键id")
    private Integer id;

    @ApiModelProperty(value = "附件id")
    private Integer attachId;

    @ApiModelProperty(value = "指标名称")
    private String indicatorName;

    @ApiModelProperty(value = "指标单位")
    private String unit;

    @ApiModelProperty(value = "斜度")
    private String slope;

    @ApiModelProperty(value = "右前")
    private Double rightFront;

    @ApiModelProperty(value = "左前")
    private Double leftFront;

    @ApiModelProperty(value = "front1")
    private Double front1;

    @ApiModelProperty(value = "右后")
    private Double rightRear;

    @ApiModelProperty(value = "左后")
    private Double leftRear;

    @ApiModelProperty(value = "rear2")
    private Double rear2;
}
