package com.singularity.pojo.vo.kc;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

@Data
@ApiModel(value = "ReadKCFileVO",description = "读取KC数据文件返回参数")
public class ReadKCFileVO implements Serializable{

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "绘图数据-键值对")
    private double[][] data;

    @ApiModelProperty(value = "绘图数据legend")
    private List<String> legendList = new ArrayList<>();

    @ApiModelProperty(value = "图像title")
    private String chartTitle;


}
