package com.singularity.pojo.vo.nvh;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
@ApiModel(value = "CompareNVHSubjectiveFileVO",description = "对比NVH性能主观评价数据文件出参")
public class CompareNVHObjectiveFileVO {

    @ApiModelProperty(value = "对比结果（Map<车辆id，Map<指标名称,指标valueList>>）",dataType = "java.util.map")
    private Map<Integer, Map<String, List<String>>> data;


}
