package com.singularity.pojo.vo.ride;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Data
@ApiModel(value = "CompareTestResultVO",description = "对比试验结果返回参数")
public class CompareTestResultVO {

    @ApiModelProperty(value = "第一列表头",dataType = "java.util.list")
    private List<String> indexTableHead;

    @ApiModelProperty(value = "第二列表头",dataType = "java.util.list")
    private List<String> unitTableHead;

    @ApiModelProperty(value = "第三列表头",dataType = "java.util.list")
    private List<String> paramTableHead;

    @ApiModelProperty(value = "对比结果（Map<车辆名称，Map<行号,指标value>>）",dataType = "java.util.map")
    private Map<Long, Map<String, List<BigDecimal>>> data;
}
