package com.singularity.pojo.vo.subjectiveEvaluation;

import com.baomidou.mybatisplus.annotation.TableField;
import com.singularity.pojo.dto.subjectiveEvaluation.SubjectiveEvaluationDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;


@Data
@ApiModel(description = "查询主观评价列表出参")
public class GetSubjectiveEvaluationListVO {

    @ApiModelProperty(value = "评价人姓名，评价人姓名当作图像线条legend")
    private String evaluatorName = "默认评价人";

    @ApiModelProperty(value = "评价时间")
    @TableField("evaluation_time")
    private String evaluationTime;

    @ApiModelProperty(value = "评价地点")
    @TableField("place")
    private String place;

    @ApiModelProperty(value = "评价车辆")
    @TableField("car_name")
    private String carName;

    @ApiModelProperty(value = "返回文件路径")
    private String filePath;

    @ApiModelProperty(value = "附件id")
    private Long attachId;

    @ApiModelProperty(value = "文件名称")
    private String fileName;

    @ApiModelProperty(value = "当前评价人评价数据集合")
    private List<SubjectiveEvaluationDTO> subjectiveEvaluationDTOList;


}
