package com.singularity.pojo.vo.vehicle;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
@ApiModel(value="CompareVehicleInfoVO", description="对比质心及转动惯量-车辆参数出参")
public class CompareVehicleInfoVO {

    @ApiModelProperty(value = "表头集合")
    private List<CompareVehicleInfoSon> tableDeadList;

    @ApiModelProperty(value = "对比结果（Map<车辆id，Map<指标名称,指标valueList>>）",dataType = "java.util.map")
    private Map<Integer, Map<String, String>> data;

    @Data
    @ApiModel(description = "表头对象")
    public static class CompareVehicleInfoSon{

        @ApiModelProperty(value = "指标名称")
        private String testName;
    }

}
