package com.singularity.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.singularity.pojo.entity.Department;
import com.singularity.pojo.dto.department.DepartmentAddDTO;
import com.singularity.pojo.dto.department.DepartmentDeleteDTO;
import com.singularity.pojo.dto.department.QueryDepartmentTreeListDTO;
import com.singularity.pojo.dto.department.DepartmentUpdateDTO;
import com.singularity.pojo.vo.department.QueryDepartmentTreeListVO;

import java.util.List;

public interface DepartmentService extends IService<Department> {

    void addDepartment(DepartmentAddDTO departmentAddDTO);

    void updateDepartment(DepartmentUpdateDTO departmentUpdateDTO);

    void deleteDepartmentList(DepartmentDeleteDTO departmentDeleteDTO);

    List<QueryDepartmentTreeListVO> queryDepartmentTreeList(QueryDepartmentTreeListDTO queryDepartmentTreeListDTO);

}
