package com.singularity.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.singularity.pojo.entity.DrawingType;
import com.singularity.pojo.param.drawingType.DrawingTypeAddParam;
import com.singularity.pojo.param.drawingType.DrawingTypeSelectParam;

import java.util.List;

/**
 * @author 平
 * @description 画图参数相关接口
 */
public interface DrawingTypeService extends IService<DrawingType> {
    /**
     * 画图参数列表
     * @param selectParam 查询参数
     * @return 画图参数列表
     */
    List<DrawingType> getDrawingTypeList(DrawingTypeSelectParam selectParam);

    /**
     * 添加画图参数模板
     * @param nvhExcelParam 画图参数模板
     * @return
     */
    int addDrawingType(DrawingTypeAddParam nvhExcelParam);
}
