package com.singularity.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.singularity.pojo.dto.experiment.ExperimentFileDTO;
import com.singularity.pojo.dto.experiment.PreprocessingDTO;
import com.singularity.pojo.dto.experiment.SelectPreprocessingDTO;
import com.singularity.pojo.entity.ExperimentInfo;
import com.singularity.pojo.vo.experiment.PreprocessingVO;


public interface ExperimentService extends IService<ExperimentInfo> {
    void updatepreprocessing(PreprocessingDTO preprocessingDTO);

    PreprocessingVO selectPreprocessing(SelectPreprocessingDTO selectPreprocessingDTO);

    void uploadTestConditions(ExperimentFileDTO experimentFileDTO);
}
