package com.singularity.service;

import com.singularity.pojo.dto.user.UserInfoDTO;
import com.singularity.pojo.param.user.CaptchaLoginParam;
import com.singularity.pojo.param.user.PasswordLoginParam;

public interface LoginService {

    /**
     * 密码登录
     */
    UserInfoDTO loginByPassword(PasswordLoginParam passwordLoginParam);

    /**
     * 注销
     */
    void logout();

    /**
     * 验证码登录
     */
    UserInfoDTO loginByCaptcha(CaptchaLoginParam captchaLoginParam);
}
