package com.singularity.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.singularity.pojo.dto.ride.*;
import com.singularity.pojo.entity.RideData;
import com.singularity.pojo.vo.ride.CompareRideDataVO;
import com.singularity.pojo.vo.ride.QueryRideDataVO;

import java.util.List;

public interface RideDataService extends IService<RideData> {

    void uploadFileList(UploadRideFileDTO dto);

    void uploadRideReSourceFile(UploadRideReSourceFileDTO dto);

    /**
     * 查询平顺性试验结果
     */
    List<QueryRideDataVO> queryRideData(QueryRideDataDTO dto);

    /**
     * 修改平顺性试验结果
     */
    void updateRideData(UpdateRideDataDTO dto);

    /**
     * 批量删除平顺性试验数据文件
     */
    void deleteFile(DeleteFileDTO dto);

    /**
     * 对比平顺性试验结果
     */
    CompareRideDataVO compareRideData(CompareRideDataDTO dto);
}
