package com.singularity.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.singularity.pojo.dto.steering.DeleteSteeringDataFileDTO;
import com.singularity.pojo.dto.steering.QuerySteeringDataDTO;
import com.singularity.pojo.dto.steering.UploadSteeringDateFileDTO;
import com.singularity.common.entity.ChartDataModel;
import com.singularity.pojo.entity.SteeringChartData;

import java.util.List;

public interface SteeringChartDataService extends IService<SteeringChartData> {

    /**
     * 上传转向试验数据文件
     */
    void uploadSteeringDateFile(UploadSteeringDateFileDTO dto);

    /**
     * 删除制动性试验数据文件
     */
    void deleteSteeringFileList(DeleteSteeringDataFileDTO dto);

    /**
     * 查询转向试验曲线数据
     */
    List<ChartDataModel> querySteeringData(QuerySteeringDataDTO dto);
}
