package com.singularity.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.singularity.common.entity.ChartData;
import com.singularity.dao.ChartDataMapper;
import com.singularity.service.ChartDataService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class ChartDataServiceImpl extends ServiceImpl<ChartDataMapper, ChartData> implements ChartDataService {

    @Resource
    private ChartDataMapper chartDataMapper;


    @Override
    public void removeByOwner(String ownerType, Long ownerId) {
        chartDataMapper.removeByOwner(ownerType, ownerId);
    }
}
