package com.singularity.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.singularity.dao.DrawingTypeMapper;
import com.singularity.pojo.entity.DrawingType;
import com.singularity.pojo.param.drawingType.DrawingTypeAddParam;
import com.singularity.pojo.param.drawingType.DrawingTypeSelectParam;
import com.singularity.service.DrawingTypeService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;
import java.util.Objects;

/**
 * @author 平
 * @description 画图参数相关接口实现
 */
@Service
public class DrawingTypeServiceImpl extends ServiceImpl<DrawingTypeMapper, DrawingType> implements DrawingTypeService {


    @Resource
    private DrawingTypeMapper drawingTypeMapper;

    @Override
    public List<DrawingType> getDrawingTypeList(DrawingTypeSelectParam selectParam) {
        LambdaQueryWrapper<DrawingType> lqw = new LambdaQueryWrapper<>();
        lqw.eq(!Objects.isNull(selectParam.getTypeCode()), DrawingType::getTypeCode, selectParam.getTypeCode());
        return drawingTypeMapper.selectList(lqw);
    }




    @Override
    @Transactional
    public int addDrawingType(DrawingTypeAddParam addParam) {
     /*   List<DrawingType> list=new ArrayList<>();
        String type = addParam.getType();
        int businessType = addParam.getBusinessType();

        LambdaQueryWrapper<DrawingType> wrapper = new LambdaQueryWrapper<>();
        wrapper.like(DrawingType::getTypeCode, type)
                .eq(DrawingType::getBusinessType, businessType);
        List<DrawingType> drawingTypes = drawingTypeMapper.selectList(wrapper);
        AtomicInteger num = new AtomicInteger(1);
        drawingTypes.forEach(item -> {
            String[] split = item.getTypeCode().split("-");
            num.set(Math.max(Integer.parseInt(split[split.length - 1]), num.get()));
        });
        num.set(num.get() + 1);

        for(Map.Entry<String,String> entry:addParam.getExcelMap().entrySet()){
            String key=entry.getKey();
            String value=entry.getValue();
            if(value.split(":").length!=2)
                throw new RuntimeException("参数范围格式错误");
            list.add(DrawingType.builder().
                    typeCode(type + "-" + num.get())
                    .argName(key)
                    .indexRange(value)
                    .businessType(businessType)
                    .build());
        }

        return drawingTypeMapper.insertList(list);*/
        return 0;
    }

}
