package com.singularity.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.github.pagehelper.PageHelper;
import com.singularity.dao.TaskQueueMapper;
import com.singularity.pojo.dto.TaskQueue.QueryTaskQueueDTO;
import com.singularity.pojo.entity.TaskQueue;
import com.singularity.service.TaskQueueService;
import com.singularity.pojo.vo.taskQueue.TaskQueueVO;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 任务队列记录表 服务实现类
 * </p>
 *
 * @author ${author}
 * @since 2024-04-14
 */
@Service
public class TaskQueueServiceImpl extends ServiceImpl<TaskQueueMapper, TaskQueue> implements TaskQueueService {
    @Resource
    private TaskQueueMapper taskQueueMapper;

    @Override
    public List<TaskQueueVO> queryTaskQueue(QueryTaskQueueDTO queryTaskQueueDTO) {
        PageHelper.startPage(queryTaskQueueDTO.getPageNum(),queryTaskQueueDTO.getPageSize());
        return taskQueueMapper.queryTaskQueue(queryTaskQueueDTO);
    }
}
