package com.singularity.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.singularity.pojo.entity.RolePermission;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author 天
* @description 针对表【role_permission(角色权限)】的数据库操作Mapper
* @createDate 2023-08-26 14:16:55
* @Entity com.singularity.mapper.RolePermission
*/
@Mapper
public interface RolePermissionMapper extends BaseMapper<RolePermission> {

    /**
     * 批量添加角色权限
     * @param rolePermissionList
     */
    int insertBatch(@Param("list") List<RolePermission> rolePermissionList);
}




