package com.singularity.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.singularity.pojo.bo.subjective.QueryEvaluatorNameListBO;
import com.singularity.pojo.dto.subjectiveEvaluation.QueryEvaluatorNameListDTO;
import com.singularity.pojo.dto.subjectiveEvaluation.SubjectiveEvaluationDTO;
import com.singularity.pojo.dto.subjectiveEvaluation.SubjectiveIdDTO;
import com.singularity.pojo.entity.SubjectiveEvaluation;
import com.singularity.pojo.param.subjectiveEvaluation.SubjectiveDataBO;
import com.singularity.pojo.param.subjectiveEvaluation.SubjectiveEvaluationsParam;
import com.singularity.pojo.param.subjectiveEvaluation.UpdateSubjectiveEvaluationParam;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SubjectiveEvaluationMapper extends BaseMapper<SubjectiveEvaluation> {

    void insertList(List<SubjectiveEvaluation> subjectiveEvaluationList);

    int updateSubjectiveEvaluation(UpdateSubjectiveEvaluationParam updateSubjectiveEvaluationParam);

    /**
     * 对比指标数据
     */
    List<SubjectiveEvaluationDTO> getSubjectiveEvaluationLists(@Param(value = "dto") SubjectiveEvaluationsParam dto);

    /**
     * 查询评价人列表
     */
    List<QueryEvaluatorNameListBO> queryEvaluatorNameList(@Param("dto") QueryEvaluatorNameListDTO dto);
}




