package com.singularity.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.singularity.pojo.entity.UserRole;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author 天
* @description 针对表【user_role(用户角色关联表)】的数据库操作Mapper
* @createDate 2023-08-26 14:16:55
* @Entity com.singularity.mapper.UserRole
*/
@Mapper
public interface UserRoleMapper extends BaseMapper<UserRole> {

    /**
     * 批量添加用户角色
     * @param userRoles
     * @return
     */
    int insertBatch(@Param("list") List<UserRole> userRoles);
}




