package com.singularity.pojo.bo.subjective;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class SubjectiveEvaluationTreeBO {

    @ApiModelProperty(value = "车型评分")
    private String modelRatings;

    @ApiModelProperty(value = "车型评语")
    private String modelReviews;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "序号")
    private Long serialNumber;

    @ApiModelProperty(value = "所属序号")
    private Long belongSerial;

    @ApiModelProperty(value = "等级")
    private Long grade;

    @ApiModelProperty(value = "等级")
    private List<SubjectiveEvaluationTreeBO> children;


}
