package com.singularity.pojo.dto.damper;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class QueryDamperAttachmentDTO {
    @ApiModelProperty("文件名称")
    private String fileName;

    @ApiModelProperty("汽车id")
    private Integer carId;

    @ApiModelProperty("第几页（默认1页）")
    private Integer pageNum = 1;

    @ApiModelProperty("一页多少条（默认10条）")
    private Integer pageSize = 10;
}
