package com.singularity.pojo.dto.damper;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.Map;

@Data
@ApiModel(description = "查询减震器对比曲线数据入参")
public class QueryDamperCompareChartDataDTO {

    @NotEmpty(message = "对应关系不能为空")
    @ApiModelProperty(value = "附件id与车辆名称对应map<车辆名称,附件id>")
    private Map<String,Long> map;


}
