package com.singularity.pojo.dto.damper;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(description = "修改减震器试验数据文件详情入参")
public class UpdateDamperDataFileDetailDTO {
    @ApiModelProperty(value = "主键id")
    @TableId("id")
    private Integer id;

    @ApiModelProperty(value = "速度")
    @TableField("speed")
    private Integer speed;

    @ApiModelProperty(value = "频率")
    @TableField("frequency")
    private Double frequency;

    @ApiModelProperty(value = "振幅")
    @TableField("amplitude")
    private Double amplitude;

    @ApiModelProperty(value = "反弹速率")
    @TableField("rebound_vel")
    private Double reboundVel;

    @ApiModelProperty(value = "反弹力")
    @TableField("rebound")
    private Double rebound;

    @ApiModelProperty(value = "压缩速率")
    @TableField("compression_vel")
    private Double compressionVel;

    @ApiModelProperty(value = "压缩力")
    @TableField("compression")
    private Double compression;

    @ApiModelProperty(value = "work")
    @TableField("work")
    private Double work;
}
