package com.singularity.pojo.dto.fieldManagement;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class QueryTableHeadDTO {
    @ApiModelProperty(value = "excel表名")
    private String tableName;

    @ApiModelProperty(value = "sheet页名称")
    private String sheetName;

    @ApiModelProperty(value = "状态（0：禁用，1：正常）")
    private Boolean stat;

    @ApiModelProperty(value = "开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;
}
