package com.singularity.pojo.dto.handing;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@ApiModel(description = "对比操作稳定性试验数据表入参")
public class CompareHandingTableDataDTO {

    @NotEmpty(message = "车辆idList不能为空")
    @ApiModelProperty(required = true,value = "车辆idList")
    private List<Integer> carIdList;

    @NotNull(message = "业务类型id不能为空")
    @ApiModelProperty(value = "业务类型id",required = true)
    private Integer businessId;


}
