package com.singularity.pojo.dto.handing;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel(description = "查询试验类别信息入参")
public class QueryExpTypeInfoDTO {

    @NotNull(message = "业务类型不能为空")
    @ApiModelProperty(value = "业务类型(4：NVH关键指标 10：行驶性能试验报告 11：操作稳定性)")
    private Integer businessId;

    @ApiModelProperty(value = "业务类型(0：数据文件,1:关键指标，2：试验报告，3：试验报告模板, 4: 原始数据")
    private Integer businessType;


}
