package com.singularity.pojo.dto.handing;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel(description = "查询操作稳定性图像数据入参")
public class QueryHandingChartDataDTO {

    @NotNull(message = "车辆id不能为空")
    @ApiModelProperty(required = true,value = "车辆id")
    private Integer carId;

    @NotNull(message = "附件id不能为空")
    @ApiModelProperty(value = "附件id",required = true)
    private Integer id;

    @ApiModelProperty(value = "多项式函数阶数",dataType = "3")
    private Integer order = 3;


}
