package com.singularity.pojo.dto.kc;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("绘图曲线参数DTO")
public class DrawChartParamDTO {

    @ApiModelProperty(value = "测点名称")
    private String measureName;

    @ApiModelProperty(value = "x轴最小区间",dataType = "Double")
    private Double minX = -150d;

    @ApiModelProperty(value = "x轴最大区间",dataType = "Double")
    private Double MaxX = 150d;

    @ApiModelProperty(value = "y轴最小区间",dataType = "Double")
    private Double minY = -8000d;

    @ApiModelProperty(value = "y轴最大区间",dataType = "Double")
    private Double maxY = 8000d;
}
