package com.singularity.pojo.dto.kc;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.constraints.NotNull;

@Data
@ApiModel(value = "ReadKCFileListDTO", description = "单个上传K&C数据文件入参")
public class UploadKCDataFile {

    @NotNull(message = "请选择您需要上传的附件")
    @ApiModelProperty(value = "文件")
    private MultipartFile multipartFile;

    @NotNull(message = "车辆id不能为空")
    @ApiModelProperty(value = "车辆id",required = true)
    private Long carId;

    @ApiModelProperty(value = "工况id")
    private Integer conditionId;

    @ApiModelProperty(value = "操作人id")
    private Integer operId;

}
