package com.singularity.pojo.dto.nvh;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Map;

@Data
@ApiModel(value = "getNVHMenuTreeDTO",description = "查询NVH菜单树入参")
public class GetNVHMenuTreeDTO{

    @ApiModelProperty(value = "车辆id")
    private Integer carId;

    @ApiModelProperty(value = "一级菜单名称")
    private String firstMenuName;

    @ApiModelProperty(value = "菜单名称List")
    private Map<Integer,String> menuNameList;


}
