package com.singularity.pojo.dto.subjectiveEvaluation;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class SubjectiveEvaluationDTO {

    private Long id;

    /**
     * 车辆id
     */
    private Integer carId;

    /**
     * 0：商用车，1：乘用车
     */
    private Integer reviewType;

    /**
     * 等级
     */
    private Long grade;

    /**
     * 名称
     */
    private String testName;

    /**
     * 车型评分
     */
    private String modelRatings;

    /**
     * 备注
     */
    private String remark;

    /**
     * 车型评语
     */
    private String modelReviews;

    /**
     * 说明
     */
    private String illustrate;

    /**
     * 序号
     */
    private Long serialNumber;

    /**
     * 所属序号
     */
    private Long belongSerial;

    @ApiModelProperty(value = "评价人姓名")
    private String evaluatorName;

    @ApiModelProperty(value = "附件id")
    private Long attachId;

    private List<SubjectiveEvaluationDTO> subjectiveEvaluationList;
}
