package com.singularity.pojo.dto.user;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class UserListDTO {

    private Long id;

    private String phone;

    private String email;

    private String nickname;

    private Integer gender;

    private Integer type;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date registerTime;

    private Integer departmentId;

    private String departmentName;

    private String roleName;

    private List<Long> roleList;

}
