package com.singularity.pojo.dto.vehicle;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.List;

@Data
@ApiModel(value="CompareVehicleInfoDTO", description="对比质心及转动惯量-车辆参数")
public class CompareVehicleInfoDTO {

    @NotEmpty(message = "车辆idList不能为空")
    @ApiModelProperty(value = "车辆idList")
    private List<Integer> carIdList;


}
