package com.singularity.pojo.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author 宇
 *
 * @description: 附件文件信息类
 */
@Data
@ApiModel(description = "查询附件列表返回参数")
public class File {
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "文件名")
    private String name;
    //文件大小
    private Long size;
    //试验台名称
    private Integer testBed;
    //单双轴
    private Integer axle;
    //处理状态
    private Integer status;
    //更新时间
    private Date updatedAt;
    //消耗时间
    private Double timeConsuming;

}
