package com.singularity.pojo.enumeration;

import lombok.Getter;

public class AttachmentEnum {

    @Getter
    public enum BusinessTypeEnum {

        CAR_TEMP(30, "车辆信息导入模板"),
        RIDE_DATA_TEMP(7, "车辆信息导入模板");

        private final Integer code;
        private final String name;


        BusinessTypeEnum(Integer code, String name) {
            this.code = code;
            this.name = name;
        }

        public static String getNameByCode(Integer code){
            for (BusinessTypeEnum value : BusinessTypeEnum.values()) {
                if (code != null && code.equals(value.getCode()))
                    return value.getName();
            }
            return null;
        }

        public static Integer getCodeByName(String name){
            for (BusinessTypeEnum value : BusinessTypeEnum.values()) {
                if (name != null && name.equals(value.getName()))
                    return value.getCode();
            }
            return null;
        }
    }
}
