package com.singularity.pojo.enumeration;

import lombok.Getter;

@Getter
public enum NVHChartTypeEnum {

    LIEN_CHART("折线图","readLineFile"),
    BAR_CHART("条形图","readStatFile"),
    COLOR_CHART("彩色图","read3DFile");

    private final String name;
    private final String code;

    NVHChartTypeEnum(String name,String code) {
        this.code = code;
        this.name = name;
    }

//    public static String getNameByCode(String code){
//        for (NVHChartTypeEnum value : NVHChartTypeEnum.values()) {
//            if (code != null && code.equals(value.getCode()))
//                return value.getName();
//        }
//        return null;
//    }

    public static String getCodeByName(String name){
        for (NVHChartTypeEnum value : NVHChartTypeEnum.values()) {
            if (name != null && name.equals(value.getName()))
                return value.getCode();
        }
        return null;
    }

}
