package com.singularity.pojo.enumeration;

import lombok.Getter;

@Getter
public enum SteeringEnum {
    LOW_SPEED_STEER(0,"低速转向力"),
    NO_TURN_STEER(1,"原地转向力"),
    DYNAMIC_STEER(2,"动态转向"),
    OTHER_SPEED_STEER(3,"其它车速转向");

    private final Integer name;

    private final String value;

    SteeringEnum(Integer name, String value) {
        this.name = name;
        this.value = value;
    }

    public static Integer getName(String value){
        for (StatusEnum statusEnum : StatusEnum.values()) {
            if (value.equals(statusEnum.getValue())){
                return statusEnum.getName();
            }
        }
        return null;
    }

    public static String getValue(Integer name){
        for (StatusEnum statusEnum : StatusEnum.values()) {
            if (name.equals(statusEnum.getName())){
                return statusEnum.getValue();
            }
        }
        return null;
    }
}
