package com.singularity.pojo.param.damper;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
public class DamperChartDataParam implements Serializable {
    //    表头名字
    private String chartName;

    //    X轴名称
    private String xLabel;

    //    y轴名称
    private String yLabel;

    @ApiModelProperty(value = "多组数据集合存入")
    private double[][] data = new double[4][];

    @ApiModelProperty("公式")
    private String text;
}
