package com.singularity.pojo.param.rideAbility;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class UpdateExResultParam {

    @ApiModelProperty(value = "平顺性试验结果主键id",dataType = "java.long.Integer")
    private Integer id;

    /**
     * 指标
     */
    @ApiModelProperty(value = "指标",dataType = "String")
    private String target;

    /**
     * 单位
     */
    @ApiModelProperty(value = "单位",dataType = "String")
    private String unit;

    /**
     * S30
     */
    @ApiModelProperty(value = "S30",dataType = "Double")
    private Double s30;

    /**
     * 平均值
     */
    @ApiModelProperty(value = "平均值",dataType = "Double")
    private Double average;
}
