package com.singularity.pojo.param.subjectiveEvaluation;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class SubjectiveEvaluationParam {

    @ApiModelProperty(value = "车辆对应id",dataType = "Long")
    @NotNull(message = "汽车id不能为空")
    private Long carId;

    @ApiModelProperty(value = "0：商用车行驶性能主观评价，1：乘用车行驶性能主观评价，2：乘用车商品性主观评价，3：货车商品性主观评价" +
            "4：客车商品性主观评价，5：NVH性能主观评价")
    @NotNull(message = "reviewType不能为空")
    private Integer reviewType;



}
