package com.singularity.pojo.vo.car;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class CarSingleMessageVO {
    @ApiModelProperty(value = "年份个数")
    private Integer yearNums;

    @ApiModelProperty(value = "年份")
    private Long yearType;

    @ApiModelProperty(value = "级别个数")
    private Integer levelNums;

    @ApiModelProperty(value = "级别")
    private Integer level;

    @ApiModelProperty(value = "类别个数")
    private Integer categoryNums;

    @ApiModelProperty(value = "类别(0:轿车,1:SUV,2:MPV,3:跑车,4:皮卡,5:面包车,6:越野车7:载客汽车,8:载货汽车,9:牵引汽车,10:专用汽车,11自卸汽车)")
    private Integer category;

    @ApiModelProperty(value = "国别个数")
    private Integer productionPlaceNums;

    @ApiModelProperty(value = "生产地(0:中国，1：日系，2：德系，3：美系，4：韩系，5：法系，6其它)")
    private Integer productionPlace;

    @ApiModelProperty(value = "能源个数")
    private Integer energyNums;

    @ApiModelProperty(value = "能源(0：汽油，1：柴油，2：油电混合，3：纯电动，4：插电式混动，5：增程式，6：氢燃料，7：燃料电池，8：天然气，9：甲醇，10：汽油+48V轻混系统，11：汽油+24V轻混系统)")
    private Integer energy;
}
