package com.singularity.pojo.vo.damper;

import com.singularity.pojo.entity.DamperData;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(description = "对比减震器试验数据文件详情出参")
public class CompareDamperDataFileDetailVO {
    @ApiModelProperty(value = "前减振器试验结果")
    private List<DamperCompareDataVO> frontDamperDataList;

    @ApiModelProperty(value = "后减振器试验结果")
    private List<DamperCompareDataVO> rearDamperDataList;
}
