package com.singularity.pojo.vo.damper;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class DamperCompareDataVO {

    @ApiModelProperty(value = "减振器类型（0：前减振器，1：后减振器）")
    @TableField("damper_type")
    private Integer damperType;

    @ApiModelProperty(value = "频率")
    @TableField("frequency")
    private String frequency;

    @ApiModelProperty(value = "振幅")
    @TableField("amplitude")
    private String amplitude;

    @ApiModelProperty(value = "反弹速率")
    @TableField("rebound_vel")
    private String reboundVel;

    @ApiModelProperty(value = "反弹力")
    @TableField("rebound")
    private String rebound;

    @ApiModelProperty(value = "压缩速率")
    @TableField("compression_vel")
    private String compressionVel;

    @ApiModelProperty(value = "压缩力")
    @TableField("compression")
    private String compression;
}
