package com.singularity.pojo.vo.damper;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
@ApiModel(description = "查询减震器对比曲线数据出参")
public class QueryDamperCompareChartDataVO {

    @ApiModelProperty(value = "不同车辆相同图像绘图数据集合")
    private double[][] data;

    @ApiModelProperty(value = "图像名称")
    private String chartTitle;

    @ApiModelProperty(value = "图像legendList，data中有多少组数据，这里就有多少个legend")
    private List<String> legendList = new ArrayList<>();

}


