package com.singularity.pojo.vo.kc;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
@ApiModel(description = "对比K&C关键指标信息返回参数")
public class CompareKCEvaluationInfoVO {

    @ApiModelProperty(value = "表头集合")
    private List<CompareKCTableHeadVO> tableDeadList;

    @ApiModelProperty(value = "对比结果（Map<车辆id，Map<指标名称,指标valueList>>）",dataType = "java.util.map")
    private Map<Integer, Map<String, List<Double>>> data;

}
