package com.singularity.pojo.vo.nvh;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
@ApiModel(value = "ReadNVHFileListVO",description = "批量读取NVH数据文件返回参数")
public class ReadNVHFileListVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "绘图数据-键值对")
    private double[][] data;

    @ApiModelProperty(value = "x轴标签",dataType = "String")
    private String labelX;

    @ApiModelProperty(value = "y轴标签",dataType = "String")
    private String labelY;

    @ApiModelProperty(value = "标签集合，data每组x、y数组对应一个legend",dataType = "List")
    private List<String> legendList;

    @ApiModelProperty(value = "绘图类型",dataType = "String")
    private String chartType;


}
