package com.singularity.pojo.vo.permission;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.singularity.pojo.entity.Role;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class QueryMenuTrueListVO {

    @ApiModelProperty("菜单id")
    private Long id;

    @ApiModelProperty("菜单名称")
    private String menuName;

    @ApiModelProperty("状态 0禁用、1启用")
    private Integer stat;

    @ApiModelProperty("排序")
    private Integer sort;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty("父菜单")
    private Long parentId;

    @ApiModelProperty("菜单角色权限")
    private List<String> roleList;

    @ApiModelProperty("菜单角色权限集合")
    private List<Role> roleInfoList;

    private List<QueryMenuTrueListVO> children;
}
