package com.singularity.pojo.vo.ride;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "QueryRideDataVO",description = "查询平顺性试验结果出参")
public class QueryRideDataVO {

    @ApiModelProperty(value = "主键id")
    private Integer id;

    @ApiModelProperty(value = "测试位置")
    private String testIndex;

    @ApiModelProperty(value = "第一次测试数据")
    private Integer firstData;

    @ApiModelProperty(value = "第二次测试数据")
    private Integer secondData;

    @ApiModelProperty(value = "第三次测试数据")
    private Integer thirdData;

    @ApiModelProperty(value = "第四次测试数据")
    private Integer firthData;

    @ApiModelProperty(value = "第五次测试数据")
    private Integer fifthData;

    @ApiModelProperty(value = "五次数据平均值")
    private Double averageData;


}
