package com.singularity.pojo.vo.taskQueue;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
@Data
public class TaskQueueVO {
    @ApiModelProperty(value = "主键id")
    private Integer id;

    @ApiModelProperty("汽车车型")
    private String carModel;

    @ApiModelProperty(value = "文件名称")
    private String fileName;

    @ApiModelProperty(value = "操作人昵称")
    private String nickName;

    @ApiModelProperty(value = "消耗时间（m）")
    private Integer comsumeTime;

    @ApiModelProperty(value = "状态（0：待处理，1：处理中，2：操作成功，3：操作失败）")
    private Integer stat;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "备注")
    private String remark;
}
