package com.singularity.pojo.vo.tire;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(description = "查询车辆轮胎信息出参")
public class QueryTireMessageVO {

    @ApiModelProperty(value = "前轮胎品牌")
    @TableField("front_tire_brand")
    private String frontTireBrand;

    @ApiModelProperty(value = "前轮胎规格")
    @TableField("front_tire_specifications")
    private String frontTireSpecifications;

    @ApiModelProperty(value = "前轮胎胎压(bar)")
    @TableField("front_tire_pressure")
    private Double frontTirePressure;

    @ApiModelProperty(value = "后轮胎品牌")
    @TableField("rear_tire_brand")
    private String rearTireBrand;

    @ApiModelProperty(value = "后轮胎规格")
    @TableField("rear_tire_specifications")
    private String rearTireSpecifications;

    @ApiModelProperty(value = "后轮胎胎压(bar)")
    @TableField("rear_tire_pressure")
    private Double rearTirePressure;


}
