package com.singularity.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.singularity.pojo.dto.ride.CarTestMessageDTO;
import com.singularity.pojo.dto.ride.CompareTestResultDTO;
import com.singularity.pojo.dto.ride.CreateRideTestReportDTO;
import com.singularity.pojo.dto.ride.RideCarIdDTO;
import com.singularity.pojo.entity.ExperimentalResults;
import com.singularity.pojo.vo.ride.CarTestMessageVO;
import com.singularity.pojo.vo.ride.CompareTestResultVO;

/**
 * 平顺性Service
 */
public interface ExperimentalResultsService extends IService<ExperimentalResults> {

    /**
     * 对比试验结果
     */
    CompareTestResultVO compareTestResult(CompareTestResultDTO dto);

    /**
     * 根据模板生成平顺性试验报告
     */
    void createRideTestReport(CreateRideTestReportDTO dto);


    CarTestMessageVO queryTestMessage(RideCarIdDTO dto);

    void setTestMessage(CarTestMessageDTO dto);
}
