package com.singularity.service;

import com.singularity.pojo.vo.attachment.UploadAttachmentVO;
import org.springframework.web.multipart.MultipartFile;
import com.singularity.pojo.entity.Attachment;
import java.io.InputStream;
import java.util.List;

public interface MinioService {

    UploadAttachmentVO storeFile(MultipartFile file);

    Attachment uploadFile(MultipartFile file);

    List<Attachment> storeFiles(List<MultipartFile> files);

    UploadAttachmentVO storeFile(InputStream in, String fileName,long size);

    InputStream getFile(String objectName);

    String getFileUrl(String objectName,Integer expiryTime);

    void remove(String objectName);

    void removeList(List<String> objectNames);

}
