package com.singularity.service;

import com.singularity.pojo.dto.handing.QueryRideAbilityReportInfoDTO;
import com.singularity.pojo.param.rideAbility.*;
import com.singularity.pojo.vo.attachment.AttachmentVO;
import com.singularity.pojo.entity.Attachment;
import com.singularity.pojo.entity.ExperimentalResults;
import com.singularity.pojo.vo.hading.QueryRideAbilityReportInfoVO;

import java.io.IOException;
import java.util.List;

public interface RideAbilityService {

    int exResultUpload(RideAbilityExReUploadFileParam rideAbilityExReUploadFileParam);

    List<ExReParam> getExResult(RideAbilityExReParam rideAbilityExReParam);

    AttachmentVO setExResult(SetExResultParam setExResultParam) throws IOException;

    List<Attachment> exRePictureUpload(RideAbilityExRePictureUploadParam rideAbilityExReUploadFileParam);

    List<AttachmentVO> getPicture(GetPictureParam getPictureParam);

    void updateExResult(UpdateExResultParam updateExResultParam);

    int addExResult(ExperimentalResults experimentalResults);

    /**
     * 查询行驶性能试验报告信息列表
     */
    List<QueryRideAbilityReportInfoVO> queryRideAbilityReportInfo(QueryRideAbilityReportInfoDTO dto);

}
