package com.singularity.service;
import com.singularity.pojo.param.role.RoleAddParam;
import com.singularity.pojo.param.role.RoleDeleteParam;
import com.singularity.pojo.param.role.RoleListSearchParam;
import com.singularity.pojo.param.role.RoleSetParam;
import com.singularity.pojo.vo.role.RoleListVO;
import com.singularity.util.page.ResponseDTOWithPage;
import com.singularity.pojo.dto.role.RoleInfoDTO;

import java.util.List;

public interface RoleService{

    /**
     * 根据用户id获取角色
     */
    List<RoleInfoDTO> getRoleInfo(Integer userId);


    ResponseDTOWithPage<RoleListVO> selectRoleList(RoleListSearchParam roleListSearchDTO);

    void addRole(RoleAddParam roleAddParam);

    void setRole(RoleSetParam roleSetParam);

    void deleteRoles(RoleDeleteParam roleSetParam);
}
