package com.singularity.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.singularity.pojo.dto.slide.QuerySlideTestConditionListDTO;
import com.singularity.pojo.dto.slide.UpdateSlideTestConditionDTO;
import com.singularity.pojo.entity.SlideTestCondition;
import com.singularity.pojo.vo.slide.QuerySlideTestConditionListVO;

import java.util.List;

public interface SlideTestConditionService extends IService<SlideTestCondition> {


    /**
     * 查询滑行试验条件列表
     */
    List<QuerySlideTestConditionListVO> querySlideTestConditionList(QuerySlideTestConditionListDTO dto);

    /**
     * 编辑滑行试验条件
     */
    void updateSlideTestCondition(UpdateSlideTestConditionDTO dto);
}
