package com.singularity.service;

import com.singularity.pojo.dto.vehicle.VehicleInfoDTO;
import com.singularity.pojo.dto.kc.CarDataDTO;
import com.singularity.pojo.dto.kc.CarFileDTO;
import com.singularity.pojo.param.kc.CarDataParam;
import com.singularity.util.page.ResponseDTOWithPage;

import java.util.List;

/**
 * @author 平
 * @description
 */
public interface VehicleInfoService {

    /**
     * 获取车辆数据列表
     * @param carDataParam 车辆数据参数
     * @return 车辆数据列表
     */
    ResponseDTOWithPage<CarDataDTO> getCarDataList(CarDataParam carDataParam);

    void deleteCarData(List<CarDataParam> carDataParam);

    void setCarData(VehicleInfoDTO vehicleInfoDTO);

    void saveCarData(CarFileDTO carFileDTO);
}
