package com.singularity.service.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.singularity.dao.CarBasicParamMapper;
import com.singularity.pojo.dto.car.UpdateExperimentStatDTO;
import com.singularity.pojo.entity.CarBasicParam;
import com.singularity.service.CarBasicParamService;
import org.springframework.stereotype.Service;

@Service
public class CarBasicParamServiceImpl extends ServiceImpl<CarBasicParamMapper, CarBasicParam> implements CarBasicParamService {

    /**
     * 修改试验文件上传状态
     */
    @Override
    public void updateExperimentStat(UpdateExperimentStatDTO updateExperimentStatDTO) {
        CarBasicParam carBasicParam = new CarBasicParam();
        carBasicParam.setNvhUploadStat(updateExperimentStatDTO.getNvhStat());
        carBasicParam.setKcUploadStat(updateExperimentStatDTO.getKcStat());
        BeanUtil.copyProperties(updateExperimentStatDTO,carBasicParam);
        this.updateById(carBasicParam);
    }
}
