package com.singularity.util.authentication;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 *
 * @author 天
 * Time: 2023/11/27 10:38
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class IdCardInfo{

    /**
     * 身份证号
     */
    private String number;

    /**
     * 地址
     */
    private String address;

    /**
     * 月份
     */
    private String month;

    /**
     * 民族
     */
    private String nation;

    /**
     * 年份
     */
    private String year;

    /**
     * 性别
     */
    private String sex;

    /**
     * 姓名
     */
    private String name;

    /**
     * 日期
     */
    private String day;

    /**
     * 签发机关
     */
    private String authority;

    /**
     * 身份证有效期
     */
    private String timelimit;

    private Date bithdate;
}
